piix_init_one
Prev | Chapter 8. ata_piix Internals | Next

## Name

piix_init_one — Register PIIX ATA PCI device with kernel services

## Synopsis

`int piix_init_one (` | struct pci_dev * | pdev,
| const struct pci_device_id * | ent`)`;

## Arguments

`pdev`

  PCI device to register

`ent`

  Entry in piix_pci_tbl matching with `pdev`

## Description

Called from kernel PCI layer. We probe for combined mode (sigh), and then hand over control to libata, for it to do the rest.

## LOCKING

Inherited from PCI layer (may sleep).

## RETURNS

Zero on success, or -ERRNO value.

Prev | Up | Next
piix_check_450nx_errata | Home | Chapter 9. sata_sil Internals